// pages/sign/sign.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
      code:"",//储存微信传过来的code
  },
  //登录功能
  sign:function(){
    
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    var that = this
    wx.showToast({
      title:'登录中',
      icon:'loading',
      duration: 1000
    })
    wx.login({
      success:function(e){
        wx.request({
          url: 'https://cloud.long-chi.com/api/minigrogram/lightcontrol/login',
          method:'POST',
          data:{code:e.code},
          header:{"Content-Type": "application/json"},
          success:function(res){
            if(res.data.code == 0){
              let time = new Date()
              wx.setStorageSync('time',time) //登录时间
              wx.setStorageSync('currentTime', res.data.data.expires_in)//过期时间
              wx.setStorageSync('token', res.data.data.access_token)
              wx.switchTab({
                url: '/pages/scene/scene',
              })   
            }
            else{
              console.log('登录失败')
            }
          }
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})